Switchking on Raspberry Pi

General questions and comments.
Martin
Administrator
Administrator
Posts: 2655
Joined: Tue 09 Nov 2010, 20:25

Re: Switchking on Raspberry Pi

Post by Martin » Sun 29 Dec 2013, 13:30

:clap: :clap: :clap: :clap:
Martin | Switch King

RealElwood
3 stars
3 stars
Posts: 59
Joined: Wed 16 Nov 2011, 13:20

Re: Switchking on Raspberry Pi

Post by RealElwood » Wed 01 Jan 2014, 23:42

Wow, great work. I'm gonna give it a try for sure.

Any delays when switching scenarios?

gnagis_99
2 stars
2 stars
Posts: 33
Joined: Tue 09 Nov 2010, 21:51

Re: Switchking on Raspberry Pi

Post by gnagis_99 » Sun 19 Jan 2014, 22:09

Är det någon som lyckats installera enligt denna eminenta instruktion och fått det att funka ?
Jag har gjort om installationen 2 ggr nu, men får fel när jag kör "mono /bin/SwitchKing/Bin/SwichKing.exe terminal 8080 8800".
Får detta :
The assembly mscorlib.dll was not found or could not be loaded.
It should have been installed in the `/usr/local/lib/mono/2.0/mscorlib.dll' directory.

Nilzze
1 star
1 star
Posts: 3
Joined: Fri 07 Sep 2012, 20:55

Re: Switchking on Raspberry Pi

Post by Nilzze » Mon 27 Jan 2014, 08:40

Även jag är intresserad om någon har fått det att fungera, ska precis dra igång med mitt lilla husprojekt och hoppas på att kunna köra RaspPi, men har lite tidsbrist så vill hitta en lösning som jag vet fungerar så jag inte sitter i många timmar och sen fungerar det inte.
Erfarenheter?

Sorry, in english.

I am also interested if anyone has got this to work, is about to launch with my house project and hope to be able to run RaspPi, but I have little time constraints, so want to find a solution that I know works so I do not sit long hours to find out it does not work.
Experiences?

erlendfalch
1 star
1 star
Posts: 15
Joined: Tue 28 Jan 2014, 20:18

Re: Switchking on Raspberry Pi

Post by erlendfalch » Tue 28 Jan 2014, 20:22

Tried it, and got the same problem with the mscorlib.dll. The file is present under version 4.0 folder, but not 2.0. Is there some version override that is required? Seen a couple of post regarding installing mono-complete, as well as using a symbolic link to "simulate" 2.0 folder (guess it cant work when the 2.0 folder actually is present).

Any other ideas?

erlendfalch
1 star
1 star
Posts: 15
Joined: Tue 28 Jan 2014, 20:18

Re: Switchking on Raspberry Pi

Post by erlendfalch » Tue 28 Jan 2014, 21:28

Btw, Whenever I try to set runtime manually, it reports not valid version and returns to "default" 2.0-something. What version runtime should actually be default?

Martin
Administrator
Administrator
Posts: 2655
Joined: Tue 09 Nov 2010, 20:25

Re: Switchking on Raspberry Pi

Post by Martin » Tue 28 Jan 2014, 21:33

Switch King v1-v3 is built on .NET Framework 3.5, which in turn is based on 2.0 so I guess there should be some files in the 2.0-folder.
If it is is possible to select the runtime version when installing Mono, select 3.5. From what I can recall, I did not have to select the version.

(Switch King v4 is based on .NET 4.5 or later)
Martin | Switch King

gorhak
3 stars
3 stars
Posts: 59
Joined: Wed 28 Sep 2011, 15:35
Location: Spånga

Re: Switchking on Raspberry Pi

Post by gorhak » Tue 28 Jan 2014, 21:40

Hello, be patient everyone. I have made all steps and have à RPi rundning with SK and Duo since yesterday. I will let it run for à couple of days to check that its stable. If everything works well I will distribute an image.
/Göran

erlendfalch
1 star
1 star
Posts: 15
Joined: Tue 28 Jan 2014, 20:18

Re: Switchking on Raspberry Pi

Post by erlendfalch » Tue 28 Jan 2014, 22:23

Being the linux noob that I am, do you maybe know what I could/should have done differently to make it work? Maybe I'll get smarter in the process ;-)

(curious by nature...)

erlendfalch
1 star
1 star
Posts: 15
Joined: Tue 28 Jan 2014, 20:18

Re: Switchking on Raspberry Pi

Post by erlendfalch » Wed 29 Jan 2014, 08:39

Hi again,

Just to elaborate on what I've seen and tried

Problem: Executing the following code:

Code: Select all

sudo mono /bin/SwitchKing/Bin/SwichKing.exe terminal 8080 8800


Gives me the following error message:

Code: Select all

The assembly mscorlib.dll was not found or could not be loaded.
It should have been installed in the `/usr/local/lib/mono/2.0/mscorlib.dll' directory.
The thing I have tried:
1) Override runtime version (mono runtime=VERSION)
Not sure what specific version number to use, as I cannot find a list. Found a web page refering to 4.0.XXX (cant remember the number now), but mono still states cannot locate that version, and is reverting to default 2.0.50727. Where is the default value set, and what are applicable?

2) Edit app.config
There are like 20 of this file, though all seem like a part of a exercise or sample catalog.
I suspect that there is a *.config file for switch king somewhere that i should edit or create, like in the end of this article: http://stackoverflow.com/questions/1087 ... ead-of-4-0
And does that mean I have to recompile the whole shebang, taking 6 hours?

3) symlink the 2.0 folder/files
Another article states the a guy having problems with mono defaulting to version 2.0, when the files where only present in a 1.0 folder. By symlinking 1.0 to 2.0 folder, he was able to run. That does not sound very advisable to me though. Guess I could symlink the files into 2.0 folder, but do not feel comfortable with that.

4) Make sure to install mono-complete
I've installed according to the linked article, which clearly stated to use the mono-complete from the start, so that should not be the problem.

5) change xsp2 to xsp4
Tried to locate some reference to xspX in any SwitchKing config files, but could not find anything. Just a wild guess based on this article:
http://stackoverflow.com/questions/1160 ... eb-applica

Right now I am trying these steps again, as I am unsure if I used -- instead of the (mis)spelled long - from the to do list of Neil Danson.
  • sudo git clone git://github.com/mono/mono.git
  • cd mono
  • sudo ./autogen.sh -–prefix=/usr/local –-enable-nls=no
  • Note the above step reads two dashes before prefix and enable-nls. Thanks crazy fonts (and eagle eyed readers)
  • sudo make
Link to some relevant sources:
http://nonodes.spunow.co.uk/2010/11/net ... no-28.html
https://bugs.launchpad.net/ubuntu/+sour ... omments/14
http://mono.1490590.n4.nabble.com/The-a ... 07560.html

Think that covers it, any reflections?
Last edited by erlendfalch on Wed 29 Jan 2014, 10:50, edited 1 time in total.

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests